HomeProduct DocsAPI ReferenceChangelog
RecurlyAPI GuidesRecurly.jsWebhooksAPI ReferenceSupportBook demo
API Reference

Create Gift Card

Purchase a gift card on the gifter's account.

Note: To use the gift cards API endpoints, some configuration is required. Please see our docs for further instructions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The product code of the gift card product.

integer
required

The amount of the gift card. Must match an amount on the gift card product.

string
required

The currency of the unit_amount_in_cents.

boolean
Defaults to false

Set to true to bypass sending the purchase to your configured tax service. Defaults to false.

delivery
object
required

Block of delivery information. Includes the params method through personal_message below.

string
required

Whether the delivery method is email or post.

date-time

When the gift card should be delivered to the recipient. If null, the gift card will be delivered immediately. If a datetime is provided, the delivery will be in an hourly window, rounding down. For example, 6:23 pm will be in the 6:00 pm hourly batch. Must be at least an hour in the future and less than a year in the future

string

The email address of the recipient. Required if method = email.

string

The first name of the recipient.

string

The last name of the recipient.

address
object

Block of address information for the recipient. Includes the params address1 through phone below. Required if method = post.

string

The first street address line of the recipient. Required if method = post.

string

The second street address line of the recipient.

string

The city of the recipient. Required if method = post.

string

The state/province of the recipient. Required if method = post and country = US, CA, IT or NL.

string

The zip/postal code of the recipient. Required if method = post.

string

The country of the recipient. Required if method = post.

string

The phone number of the recipient.

string

The name of the gifter for the purpose of message displays to the recipient.

string

The personal message from the gifter to the recipient. 255 characters.

gifter_account
object
required

Block of account details for the gifter. This can reference an existing account_code or create a new account using the Account objects params. An account_code is required.

string
required

The account code of the gifter's account.

billing_info
object

Accepts nested three_d_secure_action_result_token_id (string)

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/xml